function [T2] = center(T)
% This function centers T by globablly translating the columns to have zero average
%
% Input:
%   T - d x n - columns represent a set of locations
%
% Output:
%   T2 - d x n - columns of T globally translated to have zero average
%

[n,m] = size(T);
T2 = T - repmat(T*ones(m,1)/m, 1, m);
end
